---
title: Search user content
slug: content-recommendations/api/search-user-content
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "70j7mTCcOlosne5MV6kBW",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.usea01.idio.episerver.net/1.0/users/{id}/content/_filter",
    "servers": [
      {
        "url": "https://{hostname}/1.0/users/{id}/content/_filter",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Search user content",
    "description": "Paginated list of content matching a Lucene query ordered by relevance to the user.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "page",
          "type": "integer",
          "example": 2,
          "description": "<p>Page number for pagination (1-based index).</p>"
        },
        {
          "kind": "optional",
          "name": "rpp",
          "type": "integer",
          "description": "Results per page for pagination."
        },
        {
          "kind": "optional",
          "name": "include_topics",
          "type": "boolean",
          "description": "Whether to include topic information in the response."
        }
      ],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Lucene query",
          "customType": "ContentQuery",
          "schema": [
            {
              "name": "query",
              "kind": "required",
              "type": "string",
              "description": "Lucene query string. Use the platform's Lucene dialect for advanced filtering.",
              "example": "title:AI AND language:en"
            }
          ],
          "modelRef": "#/components/schemas/ContentQuery",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "A list of content accompanied by metadata for navigation and recommendation tracking.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"total_hits\":42,\"next_page\":\"https://api.usea01.idio.episerver.net/1.0/users/1234/content?page=2&rpp=10\",\"previous_page\":null,\"recommendation_id\":\"8f14e45f-ceea-467a-9575-6c1e3d2a7b9c\",\"model\":true,\"group\":\"test\",\"content\":[{\"id\":987654,\"title\":\"The Future of Enterprise Personalisation\",\"abstract\":\"How content recommendations drive engagement across digital channels.\",\"featured\":true,\"approved\":\"approved\",\"read\":false,\"published\":\"2026-05-14T09:30:00Z\",\"original_url\":\"https://www.example.com/blog/future-of-personalisation\",\"link_url\":\"https://www.example.com/blog/future-of-personalisation\",\"full_details_url\":\"https://api.usea01.idio.episerver.net/1.0/content/987654\",\"main_image_url\":\"https://images.example.com/987654/main.jpg\",\"main_image\":{\"width\":1200,\"height\":630},\"metadata\":{\"language\":\"en\"},\"source\":{\"id\":55,\"title\":\"Company Blog\",\"full_details_url\":\"https://api.usea01.idio.episerver.net/1.0/sources/55\",\"display\":\"full\"},\"author\":{\"id\":21,\"title\":\"Jordan Lee\",\"full_details_url\":\"https://api.usea01.idio.episerver.net/1.0/authors/21\"},\"topics\":[{\"id\":301,\"title\":\"Personalisation\",\"full_details_url\":\"https://api.usea01.idio.episerver.net/1.0/topics/301\"}]}]}",
            "description": "",
            "customType": "UserContentList",
            "schema": [
              {
                "name": "total_hits",
                "kind": "required",
                "type": "integer",
                "description": "Total number of items matching the query."
              },
              {
                "name": "next_page",
                "kind": "optional",
                "type": "string<url>",
                "description": "<p>Link to the next page of results, if available.</p>",
                "format": "url"
              },
              {
                "name": "previous_page",
                "kind": "optional",
                "type": "string<url>",
                "description": "<p>Link to the previous page of results, if available.</p>",
                "format": "url"
              },
              {
                "name": "content",
                "kind": "required",
                "type": "object",
                "description": "The list of content items for the current page.",
                "modelRef": "#/components/schemas/ContentItem",
                "customType": "ContentItem[]",
                "schema": [],
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "ContentItemMinimal",
                    "description": "",
                    "modelRef": "#/components/schemas/ContentItemMinimal",
                    "schema": [
                      {
                        "name": "title",
                        "kind": "optional",
                        "type": "string",
                        "description": "Title of the content item."
                      },
                      {
                        "name": "abstract",
                        "kind": "optional",
                        "type": "string",
                        "description": "Short summary or abstract of the content."
                      },
                      {
                        "name": "featured",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "Indicates whether the content is featured."
                      },
                      {
                        "name": "approved",
                        "kind": "optional",
                        "type": "string<approved | unapproved | binned>",
                        "description": "Approval status of the content.",
                        "enum": [
                          "approved",
                          "unapproved",
                          "binned"
                        ]
                      },
                      {
                        "name": "read",
                        "kind": "optional",
                        "type": "boolean",
                        "description": "Whether the content is marked as read."
                      },
                      {
                        "name": "published",
                        "kind": "optional",
                        "type": "string<date-time>",
                        "description": "Date and time when the content was published.",
                        "format": "date-time"
                      },
                      {
                        "name": "original_url",
                        "kind": "optional",
                        "type": "string<url>",
                        "description": "Original source URL of the content.",
                        "format": "url"
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "id",
                        "kind": "required",
                        "type": "integer",
                        "description": "Unique identifier of the content item."
                      },
                      {
                        "name": "metadata",
                        "kind": "required",
                        "type": "object",
                        "description": "<p>Metadata for a content item, such as language and tags.</p>",
                        "modelRef": "#/components/schemas/ContentMetadata",
                        "customType": "ContentMetadata",
                        "schema": [
                          {
                            "name": "language",
                            "kind": "optional",
                            "type": "string<de | en | es | fr | it>",
                            "description": "Language of the content.",
                            "enum": [
                              "de",
                              "en",
                              "es",
                              "fr",
                              "it"
                            ]
                          },
                          {
                            "name": "tags",
                            "kind": "optional",
                            "type": "map",
                            "description": "<p>Arbitrary namespaced tags associated with the content. Values may be strings or arrays of strings (for example, multiple authors).</p>",
                            "example": "",
                            "customType": "map<string, string>",
                            "schema": []
                          }
                        ]
                      },
                      {
                        "name": "topics",
                        "kind": "optional",
                        "type": "array",
                        "description": "Topic information associated with the content.",
                        "modelRef": "#/components/schemas/ContentTopic",
                        "customType": "ContentTopic[]",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "integer",
                            "description": "Unique identifier of the topic."
                          },
                          {
                            "name": "title",
                            "kind": "required",
                            "type": "string",
                            "description": "Topic title."
                          },
                          {
                            "name": "full_details_url",
                            "kind": "required",
                            "type": "string<url>",
                            "description": "API link to full topic details.",
                            "format": "url"
                          }
                        ]
                      },
                      {
                        "name": "link_url",
                        "kind": "required",
                        "type": "string<url>",
                        "description": "URL to the live content link.",
                        "format": "url"
                      },
                      {
                        "name": "full_details_url",
                        "kind": "required",
                        "type": "string<url>",
                        "description": "API URL for full details of the content.",
                        "format": "url"
                      },
                      {
                        "name": "main_image_url",
                        "kind": "required",
                        "type": "string<url>",
                        "description": "URL to the main image of the content.",
                        "format": "url"
                      },
                      {
                        "name": "main_image",
                        "kind": "required",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/ContentMainImage",
                        "customType": "ContentMainImage",
                        "schema": [
                          {
                            "name": "width",
                            "kind": "required",
                            "type": "integer",
                            "description": "Image width in pixels."
                          },
                          {
                            "name": "height",
                            "kind": "required",
                            "type": "integer",
                            "description": "Image height in pixels."
                          }
                        ]
                      },
                      {
                        "name": "source",
                        "kind": "required",
                        "type": "object",
                        "description": "<p>The source (origin) of the content.</p>",
                        "modelRef": "#/components/schemas/ContentSource",
                        "customType": "ContentSource",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "integer",
                            "description": "Unique identifier of the source."
                          },
                          {
                            "name": "title",
                            "kind": "required",
                            "type": "string",
                            "description": "Display name of the source."
                          },
                          {
                            "name": "full_details_url",
                            "kind": "required",
                            "type": "string<url>",
                            "description": "API URL for full source details.",
                            "format": "url"
                          },
                          {
                            "name": "display",
                            "kind": "required",
                            "type": "string<full | abstract | link>",
                            "description": "How the source should be displayed.",
                            "enum": [
                              "full",
                              "abstract",
                              "link"
                            ]
                          }
                        ]
                      },
                      {
                        "name": "author",
                        "kind": "required",
                        "type": "object",
                        "description": "",
                        "modelRef": "#/components/schemas/ContentAuthor",
                        "customType": "ContentAuthor",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "integer",
                            "description": "Unique identifier of the author."
                          },
                          {
                            "name": "title",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the author."
                          },
                          {
                            "name": "full_details_url",
                            "kind": "required",
                            "type": "string<url>",
                            "description": "API URL for full author details.",
                            "format": "url"
                          }
                        ]
                      }
                    ]
                  }
                ]
              },
              {
                "name": "recommendation_id",
                "kind": "optional",
                "type": "string<uuid>",
                "description": "Unique identifier for the recommendation set.",
                "format": "uuid"
              },
              {
                "name": "model",
                "kind": "required",
                "type": "boolean",
                "description": "Indicates whether a recommendation model was applied."
              },
              {
                "name": "group",
                "kind": "required",
                "type": "string<control | test>",
                "description": "<p>A/B test group identifier.</p>",
                "enum": [
                  "control",
                  "test"
                ]
              }
            ],
            "modelRef": "#/components/schemas/UserContentList",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "total_hits",
                    "kind": "required",
                    "type": "integer",
                    "description": "Total number of items matching the query."
                  },
                  {
                    "name": "next_page",
                    "kind": "optional",
                    "type": "string<url>",
                    "description": "<p>Link to the next page of results, if available.</p>",
                    "format": "url"
                  },
                  {
                    "name": "previous_page",
                    "kind": "optional",
                    "type": "string<url>",
                    "description": "<p>Link to the previous page of results, if available.</p>",
                    "format": "url"
                  },
                  {
                    "name": "content",
                    "kind": "required",
                    "type": "object",
                    "description": "The list of content items for the current page.",
                    "modelRef": "#/components/schemas/ContentItem",
                    "customType": "ContentItem[]",
                    "schema": [],
                    "complexType": "allOf",
                    "complexItems": [
                      {
                        "name": "ContentItemMinimal",
                        "description": "",
                        "modelRef": "#/components/schemas/ContentItemMinimal",
                        "schema": [
                          {
                            "name": "title",
                            "kind": "optional",
                            "type": "string",
                            "description": "Title of the content item."
                          },
                          {
                            "name": "abstract",
                            "kind": "optional",
                            "type": "string",
                            "description": "Short summary or abstract of the content."
                          },
                          {
                            "name": "featured",
                            "kind": "optional",
                            "type": "boolean",
                            "description": "Indicates whether the content is featured."
                          },
                          {
                            "name": "approved",
                            "kind": "optional",
                            "type": "string<approved | unapproved | binned>",
                            "description": "Approval status of the content.",
                            "enum": [
                              "approved",
                              "unapproved",
                              "binned"
                            ]
                          },
                          {
                            "name": "read",
                            "kind": "optional",
                            "type": "boolean",
                            "description": "Whether the content is marked as read."
                          },
                          {
                            "name": "published",
                            "kind": "optional",
                            "type": "string<date-time>",
                            "description": "Date and time when the content was published.",
                            "format": "date-time"
                          },
                          {
                            "name": "original_url",
                            "kind": "optional",
                            "type": "string<url>",
                            "description": "Original source URL of the content.",
                            "format": "url"
                          }
                        ]
                      },
                      {
                        "name": "object",
                        "description": "",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "integer",
                            "description": "Unique identifier of the content item."
                          },
                          {
                            "name": "metadata",
                            "kind": "required",
                            "type": "object",
                            "description": "<p>Metadata for a content item, such as language and tags.</p>",
                            "modelRef": "#/components/schemas/ContentMetadata",
                            "customType": "ContentMetadata",
                            "schema": [
                              {
                                "name": "language",
                                "kind": "optional",
                                "type": "string<de | en | es | fr | it>",
                                "description": "Language of the content.",
                                "enum": [
                                  "de",
                                  "en",
                                  "es",
                                  "fr",
                                  "it"
                                ]
                              },
                              {
                                "name": "tags",
                                "kind": "optional",
                                "type": "map",
                                "description": "<p>Arbitrary namespaced tags associated with the content. Values may be strings or arrays of strings (for example, multiple authors).</p>",
                                "example": "",
                                "customType": "map<string, string>",
                                "schema": []
                              }
                            ]
                          },
                          {
                            "name": "topics",
                            "kind": "optional",
                            "type": "array",
                            "description": "Topic information associated with the content.",
                            "modelRef": "#/components/schemas/ContentTopic",
                            "customType": "ContentTopic[]",
                            "schema": [
                              {
                                "name": "id",
                                "kind": "required",
                                "type": "integer",
                                "description": "Unique identifier of the topic."
                              },
                              {
                                "name": "title",
                                "kind": "required",
                                "type": "string",
                                "description": "Topic title."
                              },
                              {
                                "name": "full_details_url",
                                "kind": "required",
                                "type": "string<url>",
                                "description": "API link to full topic details.",
                                "format": "url"
                              }
                            ]
                          },
                          {
                            "name": "link_url",
                            "kind": "required",
                            "type": "string<url>",
                            "description": "URL to the live content link.",
                            "format": "url"
                          },
                          {
                            "name": "full_details_url",
                            "kind": "required",
                            "type": "string<url>",
                            "description": "API URL for full details of the content.",
                            "format": "url"
                          },
                          {
                            "name": "main_image_url",
                            "kind": "required",
                            "type": "string<url>",
                            "description": "URL to the main image of the content.",
                            "format": "url"
                          },
                          {
                            "name": "main_image",
                            "kind": "required",
                            "type": "object",
                            "description": "",
                            "modelRef": "#/components/schemas/ContentMainImage",
                            "customType": "ContentMainImage",
                            "schema": [
                              {
                                "name": "width",
                                "kind": "required",
                                "type": "integer",
                                "description": "Image width in pixels."
                              },
                              {
                                "name": "height",
                                "kind": "required",
                                "type": "integer",
                                "description": "Image height in pixels."
                              }
                            ]
                          },
                          {
                            "name": "source",
                            "kind": "required",
                            "type": "object",
                            "description": "<p>The source (origin) of the content.</p>",
                            "modelRef": "#/components/schemas/ContentSource",
                            "customType": "ContentSource",
                            "schema": [
                              {
                                "name": "id",
                                "kind": "required",
                                "type": "integer",
                                "description": "Unique identifier of the source."
                              },
                              {
                                "name": "title",
                                "kind": "required",
                                "type": "string",
                                "description": "Display name of the source."
                              },
                              {
                                "name": "full_details_url",
                                "kind": "required",
                                "type": "string<url>",
                                "description": "API URL for full source details.",
                                "format": "url"
                              },
                              {
                                "name": "display",
                                "kind": "required",
                                "type": "string<full | abstract | link>",
                                "description": "How the source should be displayed.",
                                "enum": [
                                  "full",
                                  "abstract",
                                  "link"
                                ]
                              }
                            ]
                          },
                          {
                            "name": "author",
                            "kind": "required",
                            "type": "object",
                            "description": "",
                            "modelRef": "#/components/schemas/ContentAuthor",
                            "customType": "ContentAuthor",
                            "schema": [
                              {
                                "name": "id",
                                "kind": "required",
                                "type": "integer",
                                "description": "Unique identifier of the author."
                              },
                              {
                                "name": "title",
                                "kind": "required",
                                "type": "string",
                                "description": "Name of the author."
                              },
                              {
                                "name": "full_details_url",
                                "kind": "required",
                                "type": "string<url>",
                                "description": "API URL for full author details.",
                                "format": "url"
                              }
                            ]
                          }
                        ]
                      }
                    ]
                  }
                ],
                "modelRef": "#/components/schemas/ContentList",
                "customType": "ContentList"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "recommendation_id",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "Unique identifier for the recommendation set.",
                    "format": "uuid"
                  },
                  {
                    "name": "model",
                    "kind": "required",
                    "type": "boolean",
                    "description": "Indicates whether a recommendation model was applied."
                  },
                  {
                    "name": "group",
                    "kind": "required",
                    "type": "string<control | test>",
                    "description": "<p>A/B test group identifier.</p>",
                    "enum": [
                      "control",
                      "test"
                    ]
                  }
                ]
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "204",
        "description": "No content matching query",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "User does not exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "CjQFbHlimhNo2LvoKbu_3",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.usea01.idio.episerver.net/1.0/users/{id}/content/_filter \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"query\": \"title:AI AND language:en\"\n     }'"
        },
        {
          "id": "F6aMcRlFGmB6zCQDAiYw2",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"query\": \"title:AI AND language:en\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/users/{id}/content/_filter\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "WSgp_xEWKuf0ofn9bR74R",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/users/{id}/content/_filter\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"query\": \"title:AI AND language:en\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "H8yB3c-sSyaptCeIK9I7n",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/users/{id}/content/_filter\"\n\npayload = json.dumps({\n   \"query\": \"title:AI AND language:en\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "CjQFbHlimhNo2LvoKbu_3"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// A list of content accompanied by metadata for navigation and recommendation tracking.\n{\n  \"total_hits\": 0,\n  \"next_page\": \"\",\n  \"previous_page\": \"\",\n  \"content\": {},\n  \"recommendation_id\": \"\",\n  \"model\": false,\n  \"group\": \"\"\n}"
        },
        {
          "id": "response-1-204",
          "language": "204",
          "code": "// No content matching query\n"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// User does not exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}